﻿using System;

namespace Cjc.Data.Mapping
{
	public class AssociationMappingAttribute : Attribute
	{
		public string RelationType { get; set; }
		public string PropertyName { get; set; }

		public AssociationMappingAttribute( string relationType )
			: this( relationType, null )
		{
		}

		public AssociationMappingAttribute( string relationType, string propertyName )
		{
			this.RelationType = relationType;
			this.PropertyName = propertyName;
		}
	}
}