﻿using System;
using System.Linq.Expressions;

namespace Cjc.Data.Mapping
{
	public interface IAuditValue
	{
	}

	public class AuditValue<T> : IAuditValue
	{
		public T Old { get; set; }
		public T New { get; set; }

		public AuditValue()
		{
		}

		public AuditValue( T newValue )
			: this( default( T ), newValue )
		{
		}

		public AuditValue( T oldValue, T newValue )
		{
			this.Old = oldValue;
			this.New = newValue;
		}
	}
}