﻿using System;

namespace Cjc.Data.Mapping
{
	// TODO: Not currently used
	public enum KnownProperty { Default = 0, PrimaryKey = 1, DateCreated = 2, DateUpdated = 4, Concurrency = 8 };

	public class PropertyMappingAttribute : Attribute
	{
		public string Storage { get; set; }
		public KnownProperty KnownProperty { get; set; }

		public PropertyMappingAttribute()
			: this( null, KnownProperty.Default )
		{
		}

		public PropertyMappingAttribute( string storage )
			: this( storage, KnownProperty.Default )
		{
		}

		public PropertyMappingAttribute( string storage, KnownProperty knownProperty )
		{
			this.Storage = storage;
			this.KnownProperty = knownProperty;
		}
	}
}