﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Cjc.Data.Mapping;

namespace Cjc.Data.Mapping
{
	public class XmlStorageMappingAttribute : Attribute
	{
		public string Storage { get; set; }
		public string XmlContainer { get; set; }

		public XmlStorageMappingAttribute( string storage )
			: this ( storage, null )
		{
		}

		public XmlStorageMappingAttribute( string storage, string xmlContainer )
		{
			this.Storage = storage;
			this.XmlContainer = xmlContainer;
		}
	}
}