﻿using System;

namespace Cjc.Data.Mapping
{
	public class TypeMappingAttribute : Attribute
	{
		public Type Type { get; set; }
		public string FromDataMethod { get; set; }
		public string ToDataMethod { get; set; }

		public TypeMappingAttribute( Type type, string fromDataMethod, string toDataMethod )
		{
			this.Type = type;
			this.FromDataMethod = fromDataMethod;
			this.ToDataMethod = toDataMethod;
		}
	}
}