﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Cjc.Data.Mapping
{
	public class XmlPropertyMappingAttribute : PropertyMappingAttribute
	{
		public string XmlField { get; set; }

		public XmlPropertyMappingAttribute( string xmlField )
			: this( null, xmlField )
		{
		}

		public XmlPropertyMappingAttribute( string storage, string xmlField )
			: base( storage )
		{
			this.XmlField = xmlField;
		}
	}
}
