﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Cjc.Data.Mapping;

namespace SampleDomainModel
{
	[EntityMapping( "Account" )]
	public class Account
	{
		[PropertyMapping( "ID", KnownProperty.PrimaryKey )]
		public int Id { get; set; }

		[PropertyMapping( "Name" )]
		public string Name { get; set; }

		[PropertyMapping( "Description" )]
		public string Description { get; set; }

		[AssociationMapping( "Transaction" )]
		public IEnumerable<Transaction> Transactions { get; set; }
	}
}
