﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Cjc.Data.Mapping;

namespace SampleDomainModel
{
	[EntityMapping( "Transaction" )]
	public class Transaction
	{
		[PropertyMapping( "ID", KnownProperty.PrimaryKey )]
		public int Id { get; set; }

		[AssociationMapping( "Account" )]
		public Account Account { get; set; }

		[PropertyMapping( "Date" )]
		public DateTime Date { get; set; }

		[PropertyMapping( "Payee" )]
		public string Payee { get; set; }

		[PropertyMapping( "Description" )]
		public string Description { get; set; }

		[PropertyMapping( "Amount" )]
		public decimal Amount { get; set; }
	}
}